客服微信二维码
00000000
0000
2021最新装插件模板提示“对不起,您安装的不是..”解决... - discuz论坛插件下载 - 百里吧 - Powered by Discuz!
查看: 305|回复: 0

2021最新装插件模板提示“对不起,您安装的不是..”解决...

[复制链接]

637

主题

1万

帖子

0

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
0
发表于 2021-8-6 18:13:45 | 显示全部楼层 |阅读模式
2021最新装插件模板提示“对不起,您安装的不是..”解决方法



最新discuz3.4安装模板和插件出现安装的不是正版应用解决方法

discuz安装插件模板提示对不起,您安装的不是正版应用..”的解决方法


discuz 论坛在更新到20210320以上后,增加了对插件的版本检测,在安装时,可能会出现:“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示,要解决这个其实挺容易的,找到 /source/function/function_cloudaddons.php 这个文件:

第1步:在该文件中找到如下代码,按照下方方法将大约120行代码注释掉或者直接删除该行(使用notepad++修改,不要用记事本!)。

  • //cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));

[color=rgb(249, 129, 129) !important]
复制代码




仅需要修改上述代码的部分,其他位置不需要任何修改!

第2步:在该文件搜索“addon.dismall.com”,全部替换为“127.0.0.1”,一共有三处!这一步主要针对discuzX3.4 20210320年之后的版本,之前的版本一般只需要第一步即可!
此提示对所有非应用中心购买插件都会显示,但是按照上述方法修改后就可以正常安装了,使用上也是一切正常!是安装破解版插件的必须步骤之一!可放心修改!!另外,修改并安装完破解插件或模版后可以恢复到原来的文件,已安装的资源使用不受影响!

上述两步修改完毕保存覆盖到FTP/网站目录上即可!注意修改前先备份一下该文件,防止修改错误




回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

百里吧

Powered by Discuz! X3.4 © 2001-2012 Comsenz Inc.

GMT+8, 2021-9-28 14:34 , Processed in 0.055116 second(s), 24 queries .

快速回复 返回顶部 返回列表